# Uses of Class
org.astrogrid.samp.httpd.HttpServer.Response

Packages that use HttpServer.Response
Package
Description
org.astrogrid.samp.httpd
Standalone HTTP server.
org.astrogrid.samp.web
Classes relating to the SAMP Web Profile.
org.astrogrid.samp.xmlrpc.internal
Implementation of pluggable XML-RPC layer which requires no external dependencies.

## Uses of HttpServer.Response in org.astrogrid.samp.httpd

Methods in org.astrogrid.samp.httpd that return HttpServer.Response
Modifier and Type
Method
Description
`static HttpServer.Response`
HttpServer.`create405Response(String[] supportedMethods)`
Creates an HTTP response indicating that the requested method (GET, POST, etc) is not supported.
`static HttpServer.Response`
HttpServer.`createErrorResponse(int code, String phrase)`
Utility method to create an error response.
`static HttpServer.Response`
HttpServer.`createErrorResponse(int code, String phrase, Throwable e)`
Utility method to create an error response given an exception.
`static HttpServer.Response`
URLMapperHandler.`mapUrlResponse(String method, URL targetUrl)`
Repackages a resource from a given target URL as an HTTP response.
`HttpServer.Response`
HttpServer.`serve(HttpServer.Request request)`
Does the work for providing output corresponding to a given HTTP request.
`HttpServer.Response`
DirectoryMapperHandler.`serveRequest(HttpServer.Request request)`
`HttpServer.Response`
HttpServer.Handler.`serveRequest(HttpServer.Request request)`
Provides a response to an HTTP request.
`HttpServer.Response`
MultiURLMapperHandler.`serveRequest(HttpServer.Request request)`
`HttpServer.Response`
ResourceHandler.`serveRequest(HttpServer.Request request)`
`HttpServer.Response`
URLMapperHandler.`serveRequest(HttpServer.Request request)`

## Uses of HttpServer.Response in org.astrogrid.samp.web

Methods in org.astrogrid.samp.web that return HttpServer.Response
Modifier and Type
Method
Description
`static HttpServer.Response`
CorsHttpServer.`createNonLocalErrorResponse(HttpServer.Request request)`
Returns an HTTP error response complaining about attempted access from a disallowed host.
`HttpServer.Response`
CorsHttpServer.`serve(HttpServer.Request request)`
`HttpServer.Response`
LoggingCorsHttpServer.`serve(HttpServer.Request request)`
`HttpServer.Response`
OpenPolicyResourceHandler.`serveRequest(HttpServer.Request request)`

## Uses of HttpServer.Response in org.astrogrid.samp.xmlrpc.internal

Methods in org.astrogrid.samp.xmlrpc.internal that return HttpServer.Response
Modifier and Type
Method
Description
`protected HttpServer.Response`
InternalServer.`getXmlRpcResponse(HttpServer.Request request)`
Returns the HTTP response object given an incoming XML-RPC POST request.
`protected HttpServer.Response`
XmlLoggingInternalServer.`getXmlRpcResponse(HttpServer.Request request)`